import request from '@/utils/request'

// 查询项目信息列表
export function listProProjectInfo(query) {
  return request({
    url: '/manage/proProjectInfo/list',
    method: 'get',
    params: query
  })
}

// 查询项目信息详细
export function getProProjectInfo(id) {
  return request({
    url: '/manage/proProjectInfo/' + id,
    method: 'get'
  })
}

// 新增项目信息
export function addProProjectInfo(data) {
  return request({
    url: '/manage/proProjectInfo',
    method: 'post',
    data: data
  })
}

// 修改项目信息
export function updateProProjectInfo(data) {
  return request({
    url: '/manage/proProjectInfo',
    method: 'put',
    data: data
  })
}

// 删除项目信息
export function delProProjectInfo(id) {
  return request({
    url: '/manage/proProjectInfo/' + id,
    method: 'delete'
  })
}
